'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = removeUseStrict;

var _babelTypes = require('babel-types');

var t = _interopRequireWildcard(_babelTypes);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function removeUseStrict() {
  return {
    visitor: {
      ExpressionStatement: function ExpressionStatement(path) {
        if (t.isStringLiteral(path.node.expression, { value: 'use strict' })) {
          path.remove();
        }
      },
      Directive: function Directive(path) {
        if (path.node.value.value === 'use strict') {
          path.remove();
        }
      }
    }
  };
}
module.exports = exports['default'];